## quake-v6-bsd-kame.tar.gz

=== Makefile ===
# Generated automatically from Makefile.in by configure.
SUBDIRS = qw_client qw_server uquake
SRC_DIR = .

DESTDIR =

all:
	@for dir in $(SUBDIRS); do \
	$(MAKE) -C $$dir $@ || exit; \
	done

distclean:
	rm -f config.cache config.log config.status Makefile
	rm -f common/config.h
	find . -name \*~ | xargs rm -f
	find . -name \*.bak | xargs rm -f
	for dir in $(SUBDIRS); do \
	$(MAKE) -C $$dir $@ || exit; \
	done

clean-autoconf mrproper: distclean
	rm -f common/config.h.in
	rm -f configure

%:
	@for dir in $(SUBDIRS); do \
	$(MAKE) -C $$dir $@ || exit; \
	done


# Code to automatically re-configure, only runs if you are compiling in the
# source directory
ifeq ($(SRC_DIR),.)
configure: configure.in acconfig.h
	./bootstrap

Makefile: Makefile.in configure \
          qw_client/Makefile qw_server/Makefile uquake/Makefile
	./configure

qw_client/Makefile: qw_client/Makefile.in configure
	./configure

qw_server/Makefile: qw_server/Makefile.in configure
	./configure

uquake/Makefile: uquake/Makefile.in configure
	./configure
endif

=== qw_client/Makefile ===
# Generated automatically from Makefile.in by configure.
########################################################################
#
# Quake general stuff
#

PROJECT_DIR  = ..
SRC_DIR      = .
QW_COMMON_DIR= $(PROJECT_DIR)/qw_common
COMMON_DIR   = $(PROJECT_DIR)/common
BIN_PREFIX   = qw-client

DESTDIR      =

prefix      = /usr/local
bindir      = ${exec_prefix}/games
mandir      = ${prefix}/man

BUILD_DIR    = ../targets/qw_client

LDFLAGS = -L/usr/local/v6/lib -linet6   -lm 
LIBS = -lm 
CC = gcc
INTEL_ARCH = yes

ifneq ($(SRC_DIR),.)
SRC_DIR_INC = -I$(SRC_DIR)
endif

HAS_GGI    = no
HAS_SVGA   = no
HAS_GLIDE  = no
HAS_TDFXGL = no
HAS_OGL    = no
HAS_XIL    = no
HAS_X11    = yes
HAS_SDL    = no

MAKE_SURE_DIR = if test -d "$(BUILD_DIR)/$$DIR"; \
                then \
                   true; \
                else \
		   echo "Creating directory $(BUILD_DIR)/$$DIR"; \
		   mkdir -p $(BUILD_DIR)/$$DIR; \
                fi


########################################################################
#
# Client targets
#

ifeq ($(HAS_OGL),yes)
GLQUAKE   =$(BIN_PREFIX)-gl
endif

ifeq ($(HAS_TDFXGL),yes)
TDFXQUAKE= $(BIN_PREFIX)-3dfx
endif

ifeq ($(HAS_X11),yes)
X11QUAKE  = $(BIN_PREFIX)-x11
endif

ifeq ($(HAS_SVGA),yes)
SVGAQUAKE = $(BIN_PREFIX)-svga
endif

ifeq ($(HAS_GGI),yes)
GGIQUAKE = $(BIN_PREFIX)-ggi
endif

ifeq ($(HAS_SDL),yes)
SDLQUAKE = $(BIN_PREFIX)-sdl
endif

RELEASE = 
ifeq ($(RELEASE),yes)
OPTFLAGS = 
else
OPTFLAGS = -g
endif

targets       = $(GGIQUAKE) $(SVGAQUAKE) $(GLQUAKE) $(TDFXQUAKE) $(X11QUAKE) $(SDLQUAKE)
CLEAN_TARGETS = $(patsubst %,clean-%, $(targets))
.PHONY: $(targets) ($CLEAN_TARGETS)

x: Makefile
	@echo binaries: $(targets)
	@echo other targets: distclean 
	@echo all: makes all targets - $(targets)

all: $(targets)


########################################################################
#
# Source files
#

# **** Note - two apps may appear to share source, but they may just share
# source file *names*

ifeq ($(INTEL_ARCH),yes)
# Source file the Intel archictecture only
UQ_GENERAL_SRC         = worlda.s
UQ_SWREND_SRC_PLAT     = dosasm.s
CL_ADDITIONAL_GENERAL_SRC = sys_dosa.s math.s
SWREND_SRC_PLAT = d_copy.s d_draw.s d_draw16.s d_parta.s d_polysa.s d_scana.s \
	d_spr8.s d_varsa.s r_aclipa.s r_aliasa.s \
	r_drawa.s r_edgea.s r_varsa.s surf16.s surf8.s
CFLAGS += -Did386=1
else
# Source files for non-Intel platforms
SWREND_SRC_PLAT = nonintel.c
CFLAGS += -Did386=0
endif

#
# System specific source files
#
CD_AUDIO_SRC   = cd_wrapper.c

# sound
 
SND_STYLE      = OSS
SND_SRC = snd_null.c

ifeq ($(SND_STYLE),ALSA)
SND_SRC = snd_alsa.c alsa.c
endif
ifeq ($(SND_STYLE),OSS)
SND_SRC = snd_dma.c snd_oss.c
endif
ifeq ($(SND_STYLE),Solaris)
SND_SRC = snd_dma.c snd_sun.c
endif
ifeq ($(SND_STYLE),MME)
SND_SRC = snd_dma.c snd_mme.c
endif
ifeq ($(SND_STYLE),Windows)
SND_SRC = snd_dma.c snd_win.c
endif

SND_SRC        += snd_mem.c snd_mix.c snd_mixa.s

X11_VID_SRC    = vid_x.c
QW_X11_VID_SRC = vid_x.c

SYS_SRC        = sys_unix.c
QW_CL_SYS_SRC  = sys_linux.c
QW_SRV_SYS_SRC = sys_unix.c

#
# Networking source files
#
# XXX - Should not assume UNIX
NET_SRC        = net_bsd.c net_udp.c
QW_NET_SRC     = net_udp.c net_com.c mdfour.c
UQ_NET_SRC     = net_dgrm.c net_loop.c net_main.c net_vcr.c $(NET_SRC)

#
# Common source files
#
MISC_SRC       = common.c crc.c cvar.c cmd.c mathlib.c register_check.c wad.c zone.c

#
# Rendering source files
#

# OpenGL
GL_REND_SRC = gl_screen.c gl_model.c gl_draw.c gl_mesh.c gl_refrag.c \
              gl_rlight.c gl_rmain.c gl_rmisc.c gl_rsurf.c gl_warp.c nonintel.c
#              gl_rlight.c gl_rmain.c gl_rmisc.c gl_rsurf.c gl_test.c gl_warp.c
QW_GL_REND_SRC = gl_ngraph.c

# Software source
SW_REND_SRC = screen.c $(SWREND_SRC_PLAT) draw.c \
	d_edge.c d_fill.c d_init.c d_modech.c d_part.c d_polyse.c d_scan.c \
	d_sky.c d_sprite.c d_surf.c d_vars.c d_zpoint.c r_aclip.c r_alias.c \
	r_bsp.c r_draw.c r_edge.c r_efrag.c r_light.c r_main.c r_misc.c \
	r_sky.c r_sprite.c r_surf.c r_vars.c

#
# Client source files
#
CL_SRC    = cl_demo.c cl_input.c cl_main.c cl_parse.c cl_tent.c 
QW_CL_SRC = cl_cam.c cl_ents.c cl_pred.c 
CL_GUI_SRC= console.c sbar.c view.c keys.c menu.c

#
# Server source files
#
# Server-related source used by all
SRV_SRC     = sv_main.c sv_user.c sv_move.c sv_phys.c 
# Server-related source used just by QW server
QW_SRV_SRC  = sv_ccmds.c sv_ents.c sv_init.c sv_send.c sv_nchan.c world.c
# Server-related source used just by UQ
UQ_SRV_SRC  = host.c host_cmd.c $(SRV_SRC)
SRV_PR_SRC  = pr_cmds.c pr_edict.c pr_exec.c


QW_GENERAL_SRC = pmove.c pmovetst.c

# Source common to both UQ and QW-client
CL_COMMON_SRC = $(MISC_SRC) $(CL_GUI_SRC) $(CL_SRC) \
	$(CL_ADDITIONAL_GENERAL_SRC) $(SND_SRC) $(CD_AUDIO_SRC) r_part.c

########################################################################
#
# Directory specific stuff
#
DEFS = -DHAVE_CONFIG_H
CFLAGS += -g -O2 -Wall -DQUAKEWORLD $(OPTFLAGS) $(DEFS) -I. \
$(SRC_DIR_INC) -I$(QW_COMMON_DIR) -I$(COMMON_DIR)
ALL_X11_SRC  = $(GENERAL_SRC) $(SW_REND_SRC) $(QW_X11_VID_SRC) model.c
ALL_GL_SRC   = $(GENERAL_SRC) $(GL_REND_SRC) $(GL_VID_SRC) $(QW_GL_REND_SRC) 
ALL_TDFX_SRC = $(GENERAL_SRC) $(GL_REND_SRC) $(TDFX_VID_SRC) $(QW_GL_REND_SRC) 

GENERAL_SRC = $(CL_COMMON_SRC) \
	   $(QW_CL_SRC) $(QW_NET_SRC) net_chan.c skin.c \
	   $(QW_CL_SYS_SRC) \
	   $(QW_GENERAL_SRC)
# XXX - add dos/win specifc source

###########################################################################
#
# Compilation rules
#

###########################################################################
#
# qw-client-x11
#
ifneq ($(X11QUAKE),)

# Map the list of source files into a list of object files
OBJSquake-x11 = $(patsubst %,$(BUILD_DIR)/x11/%,$(addsuffix .o, $(basename $(ALL_X11_SRC) .c .s)))

X11_CFLAGS  = -DX11  -I/usr/X11R6/include
X11_LDFLAGS =  -L/usr/X11R6/lib -lX11 -lXext 

# This can be thought of as a macro that makes sure that the x11
# sub-directory is created
# XXX - can we avoid doing every compile?
MAKE_SURE_x11_DIR = @DIR=x11; $(MAKE_SURE_DIR)

$(BUILD_DIR)/x11/%.o: $(SRC_DIR)/%.c
	$(MAKE_SURE_x11_DIR)
	$(CC) $(CFLAGS) $(X11_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/x11/%.o: $(SRC_DIR)/%.s
	$(MAKE_SURE_x11_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(BUILD_DIR)/x11/%.o: $(COMMON_DIR)/%.c
	$(MAKE_SURE_x11_DIR)
	$(CC) $(CFLAGS) $(X11_CFLAGS) -o $@ -c $<

ifneq ($(QW_COMMON_DIR),)
$(BUILD_DIR)/x11/%.o: $(QW_COMMON_DIR)/%.c
	$(MAKE_SURE_x11_DIR)
	$(CC) $(CFLAGS) $(X11_CFLAGS) -o $@ -c $<
endif

$(BUILD_DIR)/x11/%.o: $(COMMON_DIR)/%.s
	$(MAKE_SURE_x11_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(X11QUAKE): $(BUILD_DIR)/../$(X11QUAKE)

$(BUILD_DIR)/../$(X11QUAKE): $(OBJSquake-x11)
	$(CC) $(CFLAGS) $(OBJSquake-x11) $(X11_LDFLAGS) $(LDFLAGS) -o $(BUILD_DIR)/../$(X11QUAKE)
# XXX - Can this be automated?
clean-$(X11QUAKE):
	rm -f $(OBJSquake-x11)
endif

###########################################################################
#
# qw-client-svga
#
ifneq ($(SVGAQUAKE),)
ALL_SVGA_SRC = $(GENERAL_SRC) $(SW_REND_SRC) $(SVGA_VID_SRC) model.c
OBJSquake-svga= $(patsubst %,$(BUILD_DIR)/svga/%,$(addsuffix .o, $(basename $(ALL_SVGA_SRC) .c .s)))

SVGA_CFLAGS  = 
SVGA_LDFLAGS = 
SVGA_VID_SRC = vid_svgalib.c

# This can be thought of as a macro that makes sure that the x11
# sub-directory is created
# XXX - can we avoid doing every compile?
MAKE_SURE_svga_DIR = @DIR=svga; $(MAKE_SURE_DIR)

# Not sure why this -O is needed, but it is...
$(BUILD_DIR)/svga/vid_svgalib.o: $(COMMON_DIR)/vid_svgalib.c
	$(MAKE_SURE_svga_DIR)
	$(CC) -O $(CFLAGS) $(SVGA_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/svga/%.o: $(SRC_DIR)/%.c
	$(MAKE_SURE_svga_DIR)
	$(CC) $(CFLAGS) $(SVGA_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/svga/%.o: $(SRC_DIR)/%.s
	$(MAKE_SURE_svga_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(BUILD_DIR)/svga/%.o: $(COMMON_DIR)/%.c
	$(MAKE_SURE_svga_DIR)
	$(CC) $(CFLAGS) $(SVGA_CFLAGS) -o $@ -c $<

ifneq ($(QW_COMMON_DIR),)
$(BUILD_DIR)/svga/%.o: $(QW_COMMON_DIR)/%.c
	$(MAKE_SURE_svga_DIR)
	$(CC) $(CFLAGS) $(SVGA_CFLAGS) -o $@ -c $<
endif

$(BUILD_DIR)/svga/%.o: $(COMMON_DIR)/%.s
	$(MAKE_SURE_svga_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(SVGAQUAKE): $(BUILD_DIR)/../$(SVGAQUAKE)

$(BUILD_DIR)/../$(SVGAQUAKE): $(OBJSquake-svga)
	$(CC) $(CFLAGS) $(OBJSquake-svga) $(SVGA_LDFLAGS) $(LDFLAGS) -o $(BUILD_DIR)/../$(SVGAQUAKE)
# XXX - Can this be automated?
clean-$(SVGAQUAKE):
	rm -f $(OBJSquake-svga)
endif

###########################################################################
#
# qw-client-ggi
#
ifneq ($(GGIQUAKE),)

# Map the list of source files into a list of object files
ALL_GGI_SRC = $(GENERAL_SRC) $(SW_REND_SRC) $(GGI_VID_SRC) model.c
OBJSquake-ggi = $(patsubst %,$(BUILD_DIR)/ggi/%,$(addsuffix .o, $(basename $(ALL_GGI_SRC) .c .s)))

GGI_CFLAGS  = -DGGI 
GGI_LDFLAGS = 
GGI_VID_SRC = vid_ggi.c

# This can be thought of as a macro that makes sure that the ggi
# sub-directory is created
# XXX - can we avoid doing every compile?
MAKE_SURE_ggi_DIR = @DIR=ggi; $(MAKE_SURE_DIR)

$(BUILD_DIR)/ggi/%.o: $(SRC_DIR)/%.c
	$(MAKE_SURE_ggi_DIR)
	$(CC) $(CFLAGS) $(GGI_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/ggi/%.o: $(SRC_DIR)/%.s
	$(MAKE_SURE_ggi_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(BUILD_DIR)/ggi/%.o: $(COMMON_DIR)/%.c
	$(MAKE_SURE_ggi_DIR)
	$(CC) $(CFLAGS) $(GGI_CFLAGS) -o $@ -c $<

ifneq ($(QW_COMMON_DIR),)
$(BUILD_DIR)/ggi/%.o: $(QW_COMMON_DIR)/%.c
	$(MAKE_SURE_ggi_DIR)
	$(CC) $(CFLAGS) $(GGI_CFLAGS) -o $@ -c $<
endif

$(BUILD_DIR)/ggi/%.o: $(COMMON_DIR)/%.s
	$(MAKE_SURE_ggi_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(GGIQUAKE): $(BUILD_DIR)/../$(GGIQUAKE)

$(BUILD_DIR)/../$(GGIQUAKE): $(OBJSquake-ggi)
	$(CC) $(CFLAGS) $(OBJSquake-ggi) $(GGI_LDFLAGS) $(LDFLAGS) -o $(BUILD_DIR)/../$(GGIQUAKE)
# XXX - Can this be automated?
clean-$(GGIQUAKE):
	rm -f $(OBJSquake-ggi)
endif


###########################################################################
#
# qw-client-gl
#
ifneq ($(GLQUAKE),)
OBJSquake-gl = $(patsubst %,$(BUILD_DIR)/gl/%,$(addsuffix .o, $(basename $(ALL_GL_SRC) .c .s)))

GL_CFLAGS  = -DGLQUAKE 
GL_LDFLAGS = $(X11_LDFLAGS) 
# XXX - is this platform independent?
GL_VID_SRC = gl_vidlinuxglx.c

# This can be thought of as a macro that makes sure that the x11
# sub-directory is created
# XXX - can we avoid doing every compile?
MAKE_SURE_gl_DIR = @DIR=gl; $(MAKE_SURE_DIR)

$(BUILD_DIR)/gl/%.o: $(SRC_DIR)/%.c
	$(MAKE_SURE_gl_DIR)
	$(CC) $(CFLAGS) $(GL_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/gl/%.o: $(SRC_DIR)/%.s
	$(MAKE_SURE_gl_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(BUILD_DIR)/gl/%.o: $(COMMON_DIR)/%.c
	$(MAKE_SURE_gl_DIR)
	$(CC) $(CFLAGS) $(GL_CFLAGS) -o $@ -c $<

ifneq ($(QW_COMMON_DIR),)
$(BUILD_DIR)/gl/%.o: $(QW_COMMON_DIR)/%.c
	$(MAKE_SURE_gl_DIR)
	$(CC) $(CFLAGS) $(GL_CFLAGS) -o $@ -c $<
endif

$(BUILD_DIR)/gl/%.o: $(COMMON_DIR)/%.s
	$(MAKE_SURE_gl_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(GLQUAKE): $(BUILD_DIR)/../$(GLQUAKE)

$(BUILD_DIR)/../$(GLQUAKE): $(OBJSquake-gl)
	$(CC) $(CFLAGS) $(OBJSquake-gl) $(GL_LDFLAGS) $(LDFLAGS) -o $(BUILD_DIR)/../$(GLQUAKE)

# XXX - Can this be automated?
clean-$(GLQUAKE):
	rm -f $(OBJSquake-gl)
endif

###########################################################################
#
# qw-client-3dfx
#
ifneq ($(TDFXQUAKE),)
OBJSquake-3dfx = $(patsubst %,$(BUILD_DIR)/3dfx/%,$(addsuffix .o, $(basename $(ALL_TDFX_SRC) .c .s)))

TDFX_CFLAGS  = -DGLQUAKE  
TDFX_LDFLAGS =  
TDFX_VID_SRC = gl_vidlinux_3dfx.c

# This can be thought of as a macro that makes sure that the x11
# sub-directory is created
# XXX - can we avoid doing every compile?
MAKE_SURE_3dfx_DIR = @DIR=3dfx; $(MAKE_SURE_DIR)

$(BUILD_DIR)/3dfx/%.o: $(SRC_DIR)/%.c
	$(MAKE_SURE_3dfx_DIR)
	$(CC) $(CFLAGS) $(TDFX_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/3dfx/%.o: $(SRC_DIR)/%.s
	$(MAKE_SURE_3dfx_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(BUILD_DIR)/3dfx/%.o: $(COMMON_DIR)/%.c

=== qw_server/Makefile ===
# Generated automatically from Makefile.in by configure.
########################################################################
#
# Quake general stuff
#

PROJECT_DIR  = ..
SRC_DIR      = .

DESTDIR      =

prefix      = /usr/local
bindir      = ${exec_prefix}/games
mandir      = ${prefix}/man

COMMON_DIR=$(PROJECT_DIR)/common
QW_COMMON_DIR= $(PROJECT_DIR)/qw_common
BUILD_DIR = ../targets/qw_server

LDFLAGS =  -lm -L/usr/local/v6/lib -linet6
LIBS = -lm 
CC = gcc
INTEL_ARCH = yes

ifneq ($(SRC_DIR),.)
SRC_DIR_INC = -I$(SRC_DIR)
endif

MAKE_SURE_DIR = if test -d "$(BUILD_DIR)/$$DIR"; \
                then \
                   true; \
                else \
		   echo "Creating directory $(BUILD_DIR)/$$DIR"; \
		   mkdir -p $(BUILD_DIR)/$$DIR; \
                fi


########################################################################
#
# Source files
#

#
# System specific source files
#

QW_SRV_SYS_SRC = sys_unix.c

#
# Networking source files
#
# XXX - Should not assume UNIX
QW_NET_SRC     = net_udp.c net_com.c mdfour.c


#
# Server source files
#
# Server-related source used by all
SRV_SRC     = sv_main.c sv_user.c sv_move.c sv_phys.c 
# Server-related source used just by QW server
QW_SRV_SRC  = sv_ccmds.c sv_ents.c sv_init.c sv_send.c sv_nchan.c world.c
# Server-related source used just by UQ
SRV_PR_SRC  = pr_cmds.c pr_edict.c pr_exec.c


QW_GENERAL_SRC = pmove.c pmovetst.c


########################################################################
#
# Directory specific stuff
#
CFLAGS = -g -O2 -DQUAKEWORLD -DSERVERONLY $(OPTFLAGS) $(DEFS) -I. \
$(SRC_DIR_INC) -I$(QW_COMMON_DIR) -I$(COMMON_DIR)
DEFS = -DHAVE_CONFIG_H

SRVQUAKE = qw-server
targets = $(SRVQUAKE)
.PHONY: $(SRVQUAKE)

GENERAL_SRC = common.c crc.c cvar.c cmd.c mathlib.c wad.c zone.c \
	$(QW_NET_SRC) net_chan.c $(SRV_SRC) $(QW_SRV_SRC) \
        $(SRV_PR_SRC) $(QW_SRV_SYS_SRC) $(QW_GENERAL_SRC) \
	register_check.c
ALL_QW_SRV_SRC = $(GENERAL_SRC) model.c
# XXX - add dos/win specifc source

x: Makefile
	@echo binaries: $(targets)
	@echo other targets: distclean 

all: $(targets)

###########################################################################
#
# qw-server
#
OBJSqw-server = $(patsubst %,$(BUILD_DIR)/srv/%, \
        $(addsuffix .o, $(basename $(ALL_QW_SRV_SRC) .c .s)))

SRV_CFLAGS = -DSRV $(X_CFLAGS)
# XXX - Don't use X_EXTRA_LIBS below
SRV_LDFLAGS = 

MAKE_SURE_srv_DIR = @DIR=srv; $(MAKE_SURE_DIR)
$(BUILD_DIR)/srv/%.o: $(SRC_DIR)/%.c
	$(MAKE_SURE_srv_DIR)
	$(CC) $(CFLAGS) $(SRV_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/srv/%.o: $(SRC_DIR)/%.s
	$(MAKE_SURE_srv_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(BUILD_DIR)/srv/%.o: $(COMMON_DIR)/%.c
	$(MAKE_SURE_srv_DIR)
	$(CC) $(CFLAGS) $(SRV_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/srv/%.o: $(QW_COMMON_DIR)/%.c
	$(MAKE_SURE_srv_DIR)
	$(CC) $(CFLAGS) $(SRV_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/srv/%.o: $(COMMON_DIR)/%.s
	$(MAKE_SURE_srv_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(SRVQUAKE): $(BUILD_DIR)/../$(SRVQUAKE)

$(BUILD_DIR)/../$(SRVQUAKE): $(OBJSqw-server)
	$(CC) $(CFLAGS) $(OBJSqw-server) $(SRV_LDFLAGS) $(LDFLAGS) -o $(BUILD_DIR)/../$(SRVQUAKE)
# XXX - Can this be automated?
clean-$(SRVQUAKE):
	rm -f $(OBJSqw-server)

clean: clean-$(SRVQUAKE)

###########################################################################
#
# cleaning (clean, distclean)
#
distclean: clean
	rm -f config.cache config.log config.status Makefile

clean: $(CLEAN_TARGETS)
	for i in $(targets); do \
	  rm -f $(BUILD_DIR)/../$$i; \
	done
  
install: $(targets)
	$(PROJECT_DIR)/mkinstalldirs $(DESTDIR)$(prefix)$(bindir)
	for i in $(targets); do \
	   $(PROJECT_DIR)/install-sh -m 755 $(BUILD_DIR)/../$$i \
	     $(DESTDIR)$(prefix)$(bindir)/$$i; \
	done

check:
	@echo check not implemented

=== uquake/Makefile ===
# Generated automatically from Makefile.in by configure.
########################################################################
#
# Quake general stuff
#

PROJECT_DIR = ..
SRC_DIR     = .
BIN_PREFIX  = quake

DESTDIR     =

prefix      = /usr/local
bindir      = ${exec_prefix}/games
mandir      = ${prefix}/man

COMMON_DIR=$(PROJECT_DIR)/common
BUILD_DIR =../targets/uquake

LDFLAGS =   -lm
LIBS = -lm 
CC = gcc
INTEL_ARCH = yes

ifneq ($(SRC_DIR),.)
SRC_DIR_INC = -I$(SRC_DIR)
endif

HAS_GGI    = no
HAS_SVGA   = no
HAS_GLIDE  = no
HAS_TDFXGL = no
HAS_OGL    = no
HAS_XIL    = no
HAS_X11    = yes
HAS_SDL    = no

MAKE_SURE_DIR = if test -d "$(BUILD_DIR)/$$DIR"; \
                then \
                   true; \
                else \
		   echo "Creating directory $(BUILD_DIR)/$$DIR"; \
		   mkdir -p $(BUILD_DIR)/$$DIR; \
                fi


########################################################################
#
# Client targets
#

ifeq ($(HAS_OGL),yes)
GLQUAKE   =$(BIN_PREFIX)-gl
endif

ifeq ($(HAS_TDFXGL),yes)
TDFXQUAKE= $(BIN_PREFIX)-3dfx
endif

ifeq ($(HAS_X11),yes)
X11QUAKE  = $(BIN_PREFIX)-x11
endif

ifeq ($(HAS_SVGA),yes)
SVGAQUAKE = $(BIN_PREFIX)-svga
endif

ifeq ($(HAS_GGI),yes)
GGIQUAKE = $(BIN_PREFIX)-ggi
endif

ifeq ($(HAS_SDL),yes)
SDLQUAKE = $(BIN_PREFIX)-sdl
endif

RELEASE = 
ifeq ($(RELEASE),yes)
OPTFLAGS = 
else
OPTFLAGS = -g
endif

targets       = $(GGIQUAKE) $(SVGAQUAKE) $(GLQUAKE) $(TDFXQUAKE) $(X11QUAKE) $(SDLQUAKE)
CLEAN_TARGETS = $(patsubst %,clean-%, $(targets))
.PHONY: $(targets) ($CLEAN_TARGETS)

all: $(targets)

########################################################################
#
# Source files
#

ifeq ($(INTEL_ARCH),yes)
# Source file the Intel archictecture only
UQ_GENERAL_SRC         = worlda.s
UQ_SWREND_SRC_PLAT     = dosasm.s
CL_ADDITIONAL_GENERAL_SRC = sys_dosa.s math.s
SWREND_SRC_PLAT = d_copy.s d_draw.s d_draw16.s d_parta.s d_polysa.s d_scana.s \
	d_spr8.s d_varsa.s r_aclipa.s r_aliasa.s \
	r_drawa.s r_edgea.s r_varsa.s surf16.s surf8.s

CFLAGS +=             -Did386=1
else
# Source files for non-Intel platforms
SWREND_SRC_PLAT = nonintel.c

CFLAGS +=             -Did386=0
endif

#
# System specific source files
#

CD_AUDIO_SRC = cd_wrapper.c

# sound

SND_STYLE      = OSS
SND_SRC        = snd_null.c

ifeq ($(SND_STYLE),ALSA)
SND_SRC = snd_alsa.c alsa.c
endif
ifeq ($(SND_STYLE),OSS)
SND_SRC = snd_dma.c snd_oss.c
endif
ifeq ($(SND_STYLE),Solaris)
SND_SRC = snd_dma.c snd_sun.c
endif
ifeq ($(SND_STYLE),MME)
SND_SRC = snd_dma.c snd_mme.c
endif
ifeq ($(SND_STYLE),Windows)
SND_SRC = snd_dma.c snd_win.c
endif

SND_SRC        += snd_mem.c snd_mix.c snd_mixa.s

# x11 vid

X11_VID_SRC    = vid_x.c

SYS_SRC        = sys_unix.c

#
# Networking source files
#
# XXX - Should not assume UNIX
NET_SRC        = net_bsd.c net_udp.c
UQ_NET_SRC = net_dgrm.c net_loop.c net_main.c net_vcr.c $(NET_SRC)

#
# Common source files
#
MISC_SRC       = common.c crc.c cvar.c cmd.c mathlib.c register_check.c wad.c zone.c

#
# Rendering source files
#

# OpenGL
GL_REND_SRC = gl_screen.c gl_model.c gl_draw.c gl_mesh.c gl_refrag.c \
              gl_rlight.c gl_rmain.c gl_rmisc.c gl_rsurf.c gl_test.c gl_warp.c

# Software source
SW_REND_SRC = screen.c $(SWREND_SRC_PLAT) draw.c \
	d_edge.c d_fill.c d_init.c d_modech.c d_part.c d_polyse.c d_scan.c \
	d_sky.c d_sprite.c d_surf.c d_vars.c d_zpoint.c r_aclip.c r_alias.c \
	r_bsp.c r_draw.c r_edge.c r_efrag.c r_light.c r_main.c r_misc.c \
	r_sky.c r_sprite.c r_surf.c r_vars.c

#
# Client source files
#
CL_SRC    = cl_demo.c cl_input.c cl_main.c cl_parse.c cl_tent.c 
CL_GUI_SRC= console.c sbar.c view.c keys.c menu.c

#
# Server source files
#
# Server-related source used by all
SRV_SRC     = sv_main.c sv_user.c sv_move.c sv_phys.c 
# Server-related source used just by UQ
UQ_SRV_SRC  = host.c host_cmd.c $(SRV_SRC)
SRV_PR_SRC  = pr_cmds.c pr_edict.c pr_exec.c


# Source common to both UQ and QW-client
CL_COMMON_SRC = $(MISC_SRC) $(CL_GUI_SRC) $(CL_SRC) \
	$(CL_ADDITIONAL_GENERAL_SRC) $(SND_SRC) $(CD_AUDIO_SRC) r_part.c


########################################################################
#
# Directory specific stuff
#
DEFS         = -DHAVE_CONFIG_H
CFLAGS       = -g -O2 $(OPTFLAGS) $(DEFS) -I. $(SRC_DIR_INC) \
-I$(COMMON_DIR) -I$(SRC_DIR)/include
ALL_X11_SRC  = $(GENERAL_SRC) $(SW_REND_SRC) $(X11_VID_SRC) model.c
ALL_GL_SRC   = $(GENERAL_SRC) $(GL_REND_SRC) $(GL_VID_SRC)
ALL_TDFX_SRC = $(GENERAL_SRC) $(GL_REND_SRC) $(TDFX_VID_SRC)

GENERAL_SRC = $(CL_COMMON_SRC) \
	   $(SYS_SRC) chasecam.c world.c $(SRV_PR_SRC) \
	   $(UQ_NET_SRC) $(UQ_SRV_SRC) \
	   $(UQ_GENERAL_SRC) $(UQ_SWREND_SRC_PLAT)

# XXX - add dos/win specific source

###########################################################################
#
# Compilation rules
#

###########################################################################
#
# quake-x11
#
ifneq ($(X11QUAKE),)

# Map the list of source files into a list of object files
OBJSquake-x11 = $(patsubst %,$(BUILD_DIR)/x11/%,$(addsuffix .o, $(basename $(ALL_X11_SRC) .c .s)))

X11_CFLAGS  = -DX11  -I/usr/X11R6/include
X11_LDFLAGS =  -L/usr/X11R6/lib -lX11 -lXext 

# This can be thought of as a macro that makes sure that the x11
# sub-directory is created
# XXX - can we avoid doing every compile?
MAKE_SURE_x11_DIR = @DIR=x11; $(MAKE_SURE_DIR)

$(BUILD_DIR)/x11/%.o: $(SRC_DIR)/%.c
	$(MAKE_SURE_x11_DIR)
	$(CC) $(CFLAGS) $(X11_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/x11/%.o: $(SRC_DIR)/%.s
	$(MAKE_SURE_x11_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(BUILD_DIR)/x11/%.o: $(COMMON_DIR)/%.c
	$(MAKE_SURE_x11_DIR)
	$(CC) $(CFLAGS) $(X11_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/x11/%.o: $(COMMON_DIR)/%.s
	$(MAKE_SURE_x11_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(X11QUAKE): $(BUILD_DIR)/../$(X11QUAKE)

$(BUILD_DIR)/../$(X11QUAKE): $(OBJSquake-x11)
	$(CC) $(CFLAGS) $(OBJSquake-x11) $(X11_LDFLAGS) $(LDFLAGS) -o $(BUILD_DIR)/../$(X11QUAKE)
# XXX - Can this be automated?
clean-$(X11QUAKE):
	rm -f $(OBJSquake-x11)
endif

###########################################################################
#
# quake-svga
#
ifneq ($(SVGAQUAKE),)
ALL_SVGA_SRC = $(GENERAL_SRC) $(SW_REND_SRC) $(SVGA_VID_SRC) model.c
OBJSquake-svga= $(patsubst %,$(BUILD_DIR)/svga/%,$(addsuffix .o, $(basename $(ALL_SVGA_SRC) .c .s)))

SVGA_CFLAGS  = 
SVGA_LDFLAGS = 
SVGA_VID_SRC = vid_svgalib.c

# This can be thought of as a macro that makes sure that the x11
# sub-directory is created
# XXX - can we avoid doing every compile?
MAKE_SURE_svga_DIR = @DIR=svga; $(MAKE_SURE_DIR)

# Not sure why this -O is needed, but it is...
$(BUILD_DIR)/svga/vid_svgalib.o: $(COMMON_DIR)/vid_svgalib.c
	$(MAKE_SURE_svga_DIR)
	$(CC) -O $(CFLAGS) $(SVGA_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/svga/%.o: $(SRC_DIR)/%.c
	$(MAKE_SURE_svga_DIR)
	$(CC) $(CFLAGS) $(SVGA_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/svga/%.o: $(SRC_DIR)/%.s
	$(MAKE_SURE_svga_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(BUILD_DIR)/svga/%.o: $(COMMON_DIR)/%.c
	$(MAKE_SURE_svga_DIR)
	$(CC) $(CFLAGS) $(SVGA_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/svga/%.o: $(COMMON_DIR)/%.s
	$(MAKE_SURE_svga_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(SVGAQUAKE): $(BUILD_DIR)/../$(SVGAQUAKE)

$(BUILD_DIR)/../$(SVGAQUAKE): $(OBJSquake-svga)
	$(CC) $(CFLAGS) $(OBJSquake-svga) $(SVGA_LDFLAGS) $(LDFLAGS) -o $(BUILD_DIR)/../$(SVGAQUAKE)
# XXX - Can this be automated?
clean-$(SVGAQUAKE):
	rm -f $(OBJSquake-svga)
endif

###########################################################################
#
# quake-ggi
#
ifneq ($(GGIQUAKE),)

# Map the list of source files into a list of object files
ALL_GGI_SRC = $(GENERAL_SRC) $(SW_REND_SRC) $(GGI_VID_SRC) model.c
OBJSquake-ggi = $(patsubst %,$(BUILD_DIR)/ggi/%,$(addsuffix .o, $(basename $(ALL_GGI_SRC) .c .s)))

GGI_CFLAGS  = -DGGI 
GGI_LDFLAGS = 
GGI_VID_SRC = vid_ggi.c

# This can be thought of as a macro that makes sure that the ggi
# sub-directory is created
# XXX - can we avoid doing every compile?
MAKE_SURE_ggi_DIR = @DIR=ggi; $(MAKE_SURE_DIR)

$(BUILD_DIR)/ggi/%.o: $(SRC_DIR)/%.c
	$(MAKE_SURE_ggi_DIR)
	$(CC) $(CFLAGS) $(GGI_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/ggi/%.o: $(SRC_DIR)/%.s
	$(MAKE_SURE_ggi_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(BUILD_DIR)/ggi/%.o: $(COMMON_DIR)/%.c
	$(MAKE_SURE_ggi_DIR)
	$(CC) $(CFLAGS) $(GGI_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/ggi/%.o: $(COMMON_DIR)/%.s
	$(MAKE_SURE_ggi_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(GGIQUAKE): $(BUILD_DIR)/../$(GGIQUAKE)

$(BUILD_DIR)/../$(GGIQUAKE): $(OBJSquake-ggi)
	$(CC) $(CFLAGS) $(OBJSquake-ggi) $(GGI_LDFLAGS) $(LDFLAGS) -o $(BUILD_DIR)/../$(GGIQUAKE)
# XXX - Can this be automated?
clean-$(GGIQUAKE):
	rm -f $(OBJSquake-ggi)
endif

###########################################################################
#
# quake-gl
#
ifneq ($(GLQUAKE),)
OBJSquake-gl = $(patsubst %,$(BUILD_DIR)/gl/%,$(addsuffix .o, $(basename $(ALL_GL_SRC) .c .s)))

GL_CFLAGS  = -DGLQUAKE 
GL_LDFLAGS = $(X11_LDFLAGS) 
# XXX - is this platform independent?
GL_VID_SRC = gl_vidlinuxglx.c

# This can be thought of as a macro that makes sure that the x11
# sub-directory is created
# XXX - can we avoid doing every compile?
MAKE_SURE_gl_DIR = @DIR=gl; $(MAKE_SURE_DIR)

$(BUILD_DIR)/gl/%.o: $(SRC_DIR)/%.c
	$(MAKE_SURE_gl_DIR)
	$(CC) $(CFLAGS) $(GL_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/gl/%.o: $(SRC_DIR)/%.s
	$(MAKE_SURE_gl_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(BUILD_DIR)/gl/%.o: $(COMMON_DIR)/%.c
	$(MAKE_SURE_gl_DIR)
	$(CC) $(CFLAGS) $(GL_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/gl/%.o: $(COMMON_DIR)/%.s
	$(MAKE_SURE_gl_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(GLQUAKE): $(BUILD_DIR)/../$(GLQUAKE)

$(BUILD_DIR)/../$(GLQUAKE): $(OBJSquake-gl)
	$(CC) $(CFLAGS) $(OBJSquake-gl) $(GL_LDFLAGS) $(LDFLAGS) -o $(BUILD_DIR)/../$(GLQUAKE)

# XXX - Can this be automated?
clean-$(GLQUAKE):
	rm -f $(OBJSquake-gl)
endif

###########################################################################
#
# quake-3dfx
#
ifneq ($(TDFXQUAKE),)
OBJSquake-3dfx = $(patsubst %,$(BUILD_DIR)/3dfx/%,$(addsuffix .o, $(basename $(ALL_TDFX_SRC) .c .s)))

TDFX_CFLAGS  = -DGLQUAKE  
TDFX_LDFLAGS =  
TDFX_VID_SRC = gl_vidlinux_3dfx.c

# This can be thought of as a macro that makes sure that the x11
# sub-directory is created
# XXX - can we avoid doing every compile?
MAKE_SURE_3dfx_DIR = @DIR=3dfx; $(MAKE_SURE_DIR)

$(BUILD_DIR)/3dfx/%.o: $(SRC_DIR)/%.c
	$(MAKE_SURE_3dfx_DIR)
	$(CC) $(CFLAGS) $(TDFX_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/3dfx/%.o: $(SRC_DIR)/%.s
	$(MAKE_SURE_3dfx_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(BUILD_DIR)/3dfx/%.o: $(COMMON_DIR)/%.c
	$(MAKE_SURE_3dfx_DIR)
	$(CC) $(CFLAGS) $(TDFX_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/3dfx/%.o: $(COMMON_DIR)/%.s
	$(MAKE_SURE_gl_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(TDFXQUAKE): $(BUILD_DIR)/../$(TDFXQUAKE)

$(BUILD_DIR)/../$(TDFXQUAKE): $(OBJSquake-3dfx)
	$(CC) $(CFLAGS) $(OBJSquake-3dfx) $(TDFX_LDFLAGS) $(LDFLAGS) -o $(BUILD_DIR)/../$(TDFXQUAKE)

# XXX - Can this be automated?
clean-$(TDFXQUAKE):
	rm -f $(OBJSquake-3dfx)
endif


###########################################################################
#
# quake-sdl
#
ifneq ($(SDLQUAKE),)
ALL_SDL_SRC = $(GENERAL_SRC) $(SW_REND_SRC) $(SDL_VID_SRC) model.c
OBJSquake-sdl= $(patsubst %,$(BUILD_DIR)/sdl/%,$(addsuffix .o, $(basename $(ALL_SDL_SRC) .c .s)))

SDL_CFLAGS  =  -DSDL
SDL_LDFLAGS = 
SDL_VID_SRC = vid_sdl.c

# This can be thought of as a macro that makes sure that the x11
# sub-directory is created
# XXX - can we avoid doing every compile?
MAKE_SURE_sdl_DIR = @DIR=sdl; $(MAKE_SURE_DIR)

$(BUILD_DIR)/sdl/%.o: $(SRC_DIR)/%.c
	$(MAKE_SURE_sdl_DIR)
	$(CC) $(CFLAGS) $(SDL_CFLAGS) -o $@ -c $<

$(BUILD_DIR)/sdl/%.o: $(SRC_DIR)/%.s
	$(MAKE_SURE_sdl_DIR)
	$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

$(BUILD_DIR)/sdl/%.o: $(COMMON_DIR)/%.c
	$(MAKE_SURE_sdl_DIR)
	$(CC) $(CFLAGS) $(SDL_CFLAGS) -o $@ -c $<

=== debian/changelog ===
quakeforge (0.0.9-1) unstable; urgency=low

  * Major new upstream version--Quake is GPL!

 -- Joseph Carter <knghtbrd@debian.org>  Mon,  3 Jan 2000 00:09:58 -0800

quake (1.09-1.30-2pre3.2) unstable; urgency=low

  * Build with new shlibs files - the shlibs files are now NORMAL shlibs
    files, but a patch to dpkg-shlibdeps is still required.
  * quake-common package - it exists now and everything depends on it,
    though it doesn't do anything yet but depend on the quake-lib's the
    way the quake bins used to.  Will eventually do useful stuff.
  * Fully FHS compliant now!
  * (Re)wrote descriptions for the packages
  * GLQuake packages depend on quake-common, this fixes a bug that would
    let you install glquake* without installing any quake-lib*'s..

 -- Joseph Carter <knghtbrd@debian.org>  Mon,  6 Sep 1999 14:19:53 -0700

quake (1.09-1.30-2pre3.1) unstable; urgency=low

  * Hopefully ironed out the dependencies/shlibs stuff (still uses my .
    soname patch
  * Changed the wrappers of the glquake stuff a little

 -- Joseph Carter <knghtbrd@debian.org>  Sat, 31 Jul 1999 10:54:47 -0700
 

quake (1.09-1.30-2pre3) unstable; urgency=low

  * Not released officially
  * build debs of the libs glquake bins are shipped with
  * build debs of the 3 glquake bins---all depend on the libs package FOR
    NOW (this will change) and there's no manpages for them yet, RTF
    README if you don't know the options.

 -- Joseph Carter <knghtbrd@debian.org>  Sat, 31 Jul 1999 00:42:25 -0700

quake (1.09-1.30-2) unstable; urgency=low

  * Actually compress the manpages this time

 -- Joseph Carter <knghtbrd@debian.org>  Thu, 17 Jun 1999 01:38:37 -0700

quake (1.09-1.30-1) unstable; urgency=low

  * New upstream version - glibc2 binaries at last!
  * Since the quake binaries all came in one package, I've combined the
    squake and xquake packages.

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 13 Jun 1999 23:52:01 -0700

squake (1.09-1.1-15) unstable; urgency=low

  * Adopted the package - Must Have Quake!

 -- Joseph Carter <knghtbrd@debian.org>  Fri, 28 May 1999 06:32:41 -0700

squake (1.09-1.1-14) unstable; urgency=low

  * Orphaned the package, I don't maintain non-free things anymore.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 18 Mar 1999 15:00:22 -0800

squake (1.09-1.1-13) frozen unstable; urgency=low

  * Updated the copyright file with info from a very old mail from ID
    software in which they told me that repackaging it as a deb is not a
    deriviative work.
  * Updated the copyright file to include all of slicense.txt, instead of
    referencing it.
  * No code changes, and I think the copyright fixups are important enough
    to put it in to frozen.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  7 Dec 1998 15:34:16 -0800

squake (1.09-1.1-12) unstable; urgency=low

  * The wrapper can now handle uppercase .PAK files (#28781).

 -- Joey Hess <joeyh@master.debian.org>  Sat, 31 Oct 1998 21:06:48 -0800

squake (1.09-1.1-11) unstable; urgency=low

  * Modified wrapper so it will add /usr/games to the end of PATH, and run
    squake.real (w/o full filename). This is mainly to support some things
    aa quake will need to do.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  7 Sep 1998 16:58:08 -0700

squake (1.09-1.1-10) unstable; urgency=low

  * Fixed the wrapper so it runs squake.real properly even if /usr/games
    isn't in the user's PATH.
  * Added a note to the README.Debian about the common squake is suid root,
    but mouse doesn't work problem.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 19 Aug 1998 22:39:23 -0700

squake (1.09-1.1-9) unstable; urgency=low

  * Removed icon=none from menu file.

 -- Joey Hess <joeyh@master.debian.org>  Wed,  5 Aug 1998 14:24:19 -0700

squake (1.09-1.1-8) unstable; urgency=low

  * Fixed wrapper not to use source bashism.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 30 Jul 1998 20:48:17 -0700

squake (1.09-1.1-7) unstable; urgency=low

  * Fixed package description spelling(#18953).

 -- Joey Hess <joeyh@master.debian.org>  Thu,  5 Mar 1998 16:36:54 -0800

squake (1.09-1.1-6) unstable; urgency=low

  * Added man page for squake.
  * Fixed all other lintian errors & warnings.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 21 Feb 1998 14:01:25 -0800

squake (1.09-1.1-5) unstable; urgency=low

  * Updated standards-version.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 14:10:46 -0800

squake (1.09-1.1-4) unstable; urgency=low

  * Modified wraper script each user has an individual .quake directory in
    their home directory (#15452).

 -- Joey Hess <joeyh@master.debian.org>  Sat, 29 Nov 1997 14:22:01 -0500

squake (1.09-1.1-3) unstable; urgency=low

  * Use debhelper.
  * Don't do the runme stuff anymore, becuase ID no longer distributes a
    runme script.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 16 Nov 1997 19:21:34 -0500

squake (1.09-1.1-2) unstable; urgency=low

  * Fixed postinst prompting (#12601).

 -- Joey Hess <joeyh@master.debian.org>  Mon,  8 Sep 1997 18:56:39 -0400

squake (1.09-1.1-1) unstable; urgency=low

  * New upstream release.
  * Moved to non-free.
  * Preserve file dates.
  * Added README.debian about the suid problem.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 6 May 1997 20:37:13 -0400

squake (1.07-1.0-3) unstable; urgency=low

  * Check for /etc/suid.conf, not the suidmananger binary. Actually, I let
    debstd handle it. Maybe I've finally gotten this right..

 -- Joey Hess <joeyh@master.debian.org>  Tue, 6 May 1997 20:37:13 -0400

squake (1.07-1.0-2) unstable; urgency=low

  * Fixed stupid error; will install if suidmanager is not present now.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 6 May 1997 20:14:23 -0400

squake (1.07-1.0-1) unstable; urgency=low

  * New upstream release.
  * Register /usr/games/squake.real with suidregister, so permissions get
    preserved across upgrades. This lets you come up with your own security 
    scheme for making squake suid.



=== debian/control ===
Source: quakeforge
Section: contrib/games
Priority: optional
Maintainer: Joseph Carter <knghtbrd@debian.org>
Standards-Version: 3.0.1

Package: quake-svga
Architecture: any
Depends: ${shlibs:Depends}, quake-lib (>= 1.06-4) | quake-lib-stub
Provides: quake
Description: First person shooting game - SVGALib version
 QuakeForge is a source port of Quake, the successor to ID Software's very
 popular DOOM series.  Its primary development goal is to remain compatible
 with the original game released by ID Software wile allowing optional
 extensions which enhance the game.
 .
 This package contains the SVGALib versions of quake and qw-client.

Package: quake-x11
Architecture: any
Depends: ${shlibs:Depends}, quake-lib (>= 1.06-4) | quake-lib-stub
Provides: quake
Description: First person shooting game - X11 version
 QuakeForge is a source port of Quake, the successor to ID Software's very
 popular DOOM series.  Its primary development goal is to remain compatible      with the original game released by ID Software wile allowing optional 
 extensions which enhance the game.
 .
 This package contains the X11 versions of quake and qw-client.

Package: quake-ggi
Architecture: any
Depends: ${shlibs:Depends}, quake-lib (>= 1.06-4) | quake-lib-stub
Provides: quake
Description: First person shooting game - GGI version
 QuakeForge is a source port of Quake, the successor to ID Software's very
 popular DOOM series.  Its primary development goal is to remain compatible      with the original game released by ID Software wile allowing optional 
 extensions which enhance the game.
 .
 This package contains the GGI versions of quake and qw-client.

Package: quake-gl
Architecture: any
Depends: ${shlibs:Depends}, quake-lib (>= 1.06-4) | quake-lib-stub
Provides: quake
Description: First person shooting game - GL version
 QuakeForge is a source port of Quake, the successor to ID Software's very
 popular DOOM series.  Its primary development goal is to remain compatible      with the original game released by ID Software wile allowing optional 
 extensions which enhance the game.
 .
 This package contains the GL versions of quake and qw-client.

Package: quake-3dfx
Architecture: any
Depends: ${shlibs:Depends}, mesag3-glide (>= 3.1-1), libglide2, quake-lib (>= 1.06-4) | quake-lib-stub
Provides: quake
Description: First person shooting game - 3dfx GL version
 QuakeForge is a source port of Quake, the successor to ID Software's very
 popular DOOM series.  Its primary development goal is to remain compatible      with the original game released by ID Software wile allowing optional 
 extensions which enhance the game.
 .
 This package contains the 3dfx GL versions of quake and qw-client.

Package: quake-sdl
Architecture: any
Depends: ${shlibs:Depends}, quake-lib (>= 1.06-4) | quake-lib-stub
Provides: quake
Description: First person shooting game - SDL version
 QuakeForge is a source port of Quake, the successor to ID Software's very
 popular DOOM series.  Its primary development goal is to remain compatible      with the original game released by ID Software wile allowing optional 
 extensions which enhance the game.
 .
 This package contains the SDL versions of quake and qw-client.

Package: quake-server
Architecture: any
Depends: ${shlibs:Depends}, quake-lib (>= 1.06-4) | quake-lib-stub
Provides: quake
Description: First person shooting game - dedicated server
 QuakeForge is a source port of Quake, the successor to ID Software's very
 popular DOOM series.  Its primary development goal is to remain compatible      with the original game released by ID Software wile allowing optional 
 extensions which enhance the game.
 .
 This package contains the QuakeWorld server.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 1997 Joey Hess
# Copyright (C) 2000 Joseph Carter
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

export DH_COMPAT=2
export DH_OPTIONS

PWD=$(shell pwd)

build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
                    --enable-release --with-3dfxgl-name=GL
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(PWD)/debian/tmp

	dh_movefiles
	install -m 644 gamedata/quakeworld/qwprogs.dat \
	               debian/quake-server/usr/share/games/quake/qw


binary-indep: DH_OPTIONS=-i
binary-indep: build install
# Nothing to do here

binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testversion 2
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	# need to make -svga and -3dfx bins suid for svgalib
	chmod 4755 quake-svga/usr/games/quake-svga
	chmod 4755 quake-svga/usr/games/qw-client-svga
	chmod 4755 quake-3dfx/usr/games/quake-3dfx
	chmod 4755 quake-3dfx/usr/games/qw-client-3dfx
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
